/* font */

@font-face {
	font-family: 'Noto Sans Mono';
	font-style: normal;
	font-weight: 100 900;
	font-stretch: 62.5% 100%;
	font-display: swap;
	src: url(NotoSansMono-Latin.woff2) format('woff2');
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* sections */

body {
	font-family: "Noto Sans Mono", monospace;
	font-size: 9pt;
	margin: 1lh 4ch;
}

main {
	max-width: 768px; 
	margin: auto;
	& > p, footer {
		text-align: justify;
	}
	& > p {
		text-indent: 4ch;
	}
}

header, footer {
	margin: 1lh 0;
	& p {
		margin: 0;
	}
}

/* ascii + bully phone user */

.ascii {
	white-space: preserve-spaces nowrap;
	font-size: 8.75pt;
	font-weight: bold;
	font-style: italic;
	overflow: hidden;
	text-overflow: "· " " ·";
}

@media (width <= 820px) {
	#landingHeaderParagraph {
		display: none;
		& + .bullyPhoneUser {
			font-style: italic;
			&:before {
				display: block;
				content: "oblvdata.";
				font-weight: bold;
			}
			&:after {
				content: "this page is best viewed at resolutions wider than 820px. some elements may be hidden.";
			}
		}
	}
}

/* text */

p, ol {
	margin: 1lh 0;
}

strong {
	font-style: italic;
}

time {
	text-decoration: underline dotted black;
	&[title] {
		cursor: help;
	}
}

.backlink {
	margin-right: 1ch;
}

.center {
	text-align: center;
	text-indent: 0;
}	

sup.foot_note_ref:target,
li:target .foot_note_text {
	background-color: yellow;
}